SELECTION_DEFAULT = "<select>"

target_dir_list = ["train", "test", "valid"]

task_use_case_dict = {
    SELECTION_DEFAULT: {
        "use_cases": [],
        "models": []
    },
    "Image Classification":
        {
            "use_cases": [
                SELECTION_DEFAULT,
                "Defect Classification",
                "Text Classification",
                "Scene Classification",
                "Distortion Classification"
            ],
            "models": [
                "ResNet18",
                "AlexNet",
                "VGG16",
                "Squeezenet_1.0",
                "DenseNet_161",
                "Inception_v3",
                "GoogleNet"
                "Custom"
            ]
        },
    "Object Detection":
        {
            "use_cases": [
                SELECTION_DEFAULT,
                "Traffic Monitoring",
                "Medical Image Sensing"
            ],
            "models": ["SSD-Mobilenet",
                       "SSD-Mobilenet-V2",
                       "YOLOv4-Darknet",
                       "YOLOv5-Pytorch",
                       "Custom"]
        },
    "Pixel Segmentation":
        {
            "use_cases": [
                SELECTION_DEFAULT,
                "Medical Image Sensing"
            ],
            "models": ["DeepLabv3",
                       "UNet",
                       "Mask-RCNN",
                       "Custom"]
        },
    "Object Tracking":
        {
            "use_cases": [
                SELECTION_DEFAULT,
                "Traffic Monitoring System"
            ],
            "models": ["DeepSORT",
                       "MDNet",
                       "Custom"]
        }
}

# list to hold tasks
task_sl_list = [key for key in task_use_case_dict.keys()]

# Variable to hold the selected task value
selected_task = SELECTION_DEFAULT

# variable to hold value of directory path from web ui
dataset_dir_path = ""

# variable to hold number of classes input by user
num_classes = 0

dataset_class_data_dict = {}

current_metadata_file = ""

class_dir_list = []