import os
from datetime import datetime
from pathlib import Path
# from helper.errors import ErrorCode
from distutils.dir_util import copy_tree


def is_directory(in_path):
    return Path(in_path).is_dir()


def is_exist(in_path):
    return Path(in_path).exists()


def validate_path(in_path):
    if not is_directory(in_path):
        raise Exception(f"Path : {in_path} - does not exist!")
    if not is_exist(in_path):
        raise Exception(f"Path : {in_path} - is not of a directory!")
    if not os.listdir(in_path):
        raise Exception(f"Path : {in_path} - is an empty directory!")


def get_date_time_str():
    # datetime object containing current date and time
    now = datetime.now()
    # dd_mm_YY_H_M_S
    dt_string = now.strftime("%d_%m_%Y_%H_%M_%S")

    return dt_string


def copy_whole_dir_tree(src_dir, dst_dir):
    copy_tree(src_dir, dst_dir, update=1, preserve_mode=1)


def get_acc_logs_as_dict(log_line, root_dict):
    exp_key = list(root_dict.keys())[-1]
    log_type = log_line.split("|")[0]   # train/test/val

    # loss
    key_1 = log_line.split("|")[-1].split(",")[0].split(":")[0].replace(" ", "")
    value_1 = log_line.split("|")[-1].split(",")[0].split(":")[1].replace(" ", "")
    # accuracy
    key_2 = log_line.split("|")[-1].split(",")[1].split(":")[0].replace(" ", "")
    value_2 = log_line.split("|")[-1].split(",")[1].split(":")[1].replace(" ", "")

    # root_dict[exp_key][log_type] = {key_1: value_1, key_2: value_2}

    root_dict[exp_key].append(float(value_2))

    return root_dict
