import plotly.express as px


def get_plotly_bar_graph(in_df, title_str="", y_name="", index_name=""):
    in_df = in_df.T
    in_df.columns = [y_name]
    in_df.index.name = index_name
    # print(f"Title: {title_str}\nDataframe:\n{in_df}")
    fig = px.bar(in_df, title=title_str, x=in_df.index, y=y_name, text=y_name, color=y_name,
                 color_continuous_scale=px.colors.qualitative.Set2)
    fig.update_traces(textposition='outside')
    return fig


def get_plotly_pie_hole_graph(in_df):
    fig = px.pie(in_df, title="Resolution(WxH) wise Distribution",
                 color_discrete_sequence=px.colors.qualitative.Pastel, names=in_df.columns, values=in_df.iloc[0],
                 hole=0.4)
    return fig


def get_plotly_pie_graph(in_df):
    fig = px.pie(in_df, title="Aspect Ratio wise Distribution", names=in_df.columns, values=in_df.iloc[0])
    return fig
